tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Mayr <>
Subject Re: isHexDigit error problems and upgrading Tomcat and jdk
Date Thu, 07 Jun 2012 08:38:36 GMT
Am 07.06.2012 10:13, schrieb Miguel González Castaños:
> ...
>>>   Do you suggest me to upgrade to Tomcat 6 or 7? What about jdk? 1.6
>>> or 1.7?
>> 1.6 is more widely tested (many years), but for a new system I would
>> go with 1.7.
> It's not a new system, it's been running for 3 years already. I don't
> want to risk that any library has changed its behavior with tomcat 7 or
> something similar.
>> I heard that Oracle plans to stop provide free updates for 1.6 this
>> summer. So they will be available only as "Java for Business".
> Does it mean that it is probably better to go for 1.7 instead?

Maybe you should have a look at oracles lifecycle policy:

If you need to provide a secure system with current patches you should 
take the effort to upgrade to java 7. This provides you with 3 more 
years of Oracle updates.


To unsubscribe, e-mail:
For additional commands, e-mail:

View raw message